Skip to main content

Questions tagged [substrate-node]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
5 votes
0 answers
144 views

Genesis Sync and History: Are Archive Nodes Indispensable?

I've been exploring the intricacies of node types in Polkadot and other Substrate-based networks and came across a scenario that has left me curious. I understand that full nodes and archive nodes ...
ALeSD's user avatar
  • 499
5 votes
1 answer
123 views

After doing runtime upgrade getting contract not found in substrate contracts ui

I am doing runtime upgrade of substrate blockchain from 0.9.36 --> 0.9.37 --->0.9.43 . And i have some contracts deployed on the running blockchain which is running on 36 version . After doing ...
Karanvir Singh's user avatar
3 votes
0 answers
85 views

How to get all the blocks when forking the chain?

I am using subalfred to fork my chain and was able to achieve it, I got the latest state of the old-chain to the forked-chain but the forked-chain is starting from the genesis block or we can say ...
Shubham Gupta's user avatar
2 votes
1 answer
100 views

How to customize pallet_contracts?

We have our own chain where we've added pallet_contracts pallet for writing and deploying smart contract. We just want to give permission to upload smart contract for few users only. Someone please ...
go11li's user avatar
  • 1,241
2 votes
1 answer
193 views

how to solve the sys error in substrate polkadot branch (polkadot-v0.9.43)

I have been integrating EVM(43 version) in 43 version of substrate. while adding files to runtime module i am getting sys error while building it .I want to know how to solve this error
Karanvir Singh's user avatar
1 vote
1 answer
38 views

Upgrade parachain collator binary from polkadot-sdk v0.9.29 to v1.1.0, failed to launch with error 'Invalid argument: column families not opened'

We're running a parachain on Polkadot Relaychain. The parachain collator binary is built based on polkadot-sdk v0.9.29 When we try to upgrade binary to a new version which is built based on polkadot-...
Brian Wu's user avatar
1 vote
1 answer
105 views

Getting "Contract Reverted!" error with "TooManyTopics" dispatch error when calling mint function in OpenBrush PSP37 smart contract

I'm working on adding events to an OpenBrush PSP37 smart contract and deploying it using Substrate Contract UI. However, when I try to call the mint function, I encounter the following error: Contract ...
the dev's user avatar
  • 477
1 vote
1 answer
49 views

What after slot assigned?

We now assigned slots here. and I can see my paraId in Network->Parachains->Overview section. I also started the collator node but not blocks are producing. this is log after running collator ...
go11li's user avatar
  • 1,241
1 vote
0 answers
108 views

Getting error after doing runtime upgrade to substrate v1.0.0

I am trying to do runtime upgrade of substrate blockchain which is running on 0.9.36 version to substrate version v1.0.0 . While doing runtime upgrade chain stops working and getting this error in ...
Karanvir Singh's user avatar
0 votes
1 answer
48 views

Newer nodes unable to execute genesis chainspec, "unknown field `phantom`"

We've been running a testnet and have executed a number of runtime upgrades. We've also upgraded the node across a variety of changes. New validators are trying to join the network and yet they cannot ...
Drew Stone's user avatar
  • 1,194